Doomsday Engine - Bug #2198

[HeXen] Crash when going through portals with wings (trying to unlock map06 in hub1)
2017-02-07 01:12 - theleo_ua

Status: Closed Start date: 2017-02-07
Priority: Normal % Done: 0%
Assignee: skyjake

Category: Defect

Target version:

Description
[HeXen] Crash when going through portals with wings (trying to unlock map06 in hub1)

1) Start hexen original

2) Go to map03 (visit03 cheat is acceptable)
3) enter casper and indiana cheats

4) go to secret exit to map04 (you should enter casper cheat again to enter the portal)
5) activate wings of wrath in map04

6) try to solve "one half of the secret puzzle in map04"

7) go to the portal to map02

actual result: crash

expected result: player is teleported to map02 with activated wings

workaround: do not activate wings unless map06 is unlocked

Bus is reproduced in live stream, so here is the video demonstration:
https://www.youtube.com/watch?v=zinx10Stuz0&index=8&list=PL5QwAqOy7WABpsDsuzSKwTk2S8Qnzsl g5#t=1h59m50s (watch
from 1:53:15 (collecting wings at map 02) to 1:59:50 (crash) )

Doomsday.out attached

Reproduced in 1.15.8

History

#1 - 2017-02-07 15:56 - skyjake

- Tags set to Hexen, Gameplay

- Category set to Defect

- Status changed from New to In Progress

- Assignee changed from Deng Team to skyjake

#2 - 2017-02-07 17:56 - skyjake

- Status changed from In Progress to Resolved

| can definitely replicate the crash using 1.15.8. It looks like issue #2061, but that was marked as fixed in May 2015 (during the 1.15 RC period).

| believe the bug was actually only fixed in June 2016 by fb624179aa. | could not reproduce the crash in recent 2.0 builds.

#3 - 2017-03-04 09:25 - skyjake

- Status changed from Resolved to Closed

Files

doomsday.out 37.8 KB 2017-02-07 theleo_ua

2024-04-18 1/1



https://www.youtube.com/watch?v=zinx1oStuz0&index=8&list=PL5QwAqOy7WABpsDsuzSKwTk2S8QnzsLg5#t=1h59m50s
https://tracker.dengine.net/issues/2061
https://tracker.dengine.net/projects/deng/repository/revisions/fb624179aa99c1b38990b482691b45a80781902b
http://www.tcpdf.org

